## cdiff 1.0

=== Makefile ===
# Makefile for testing

TESTPYPI = pypitest
PYPI = pypi

.PHONY: dogfood lint doc-check doc-preview clean build dist-test dist \
	test test3 cov cov3 html reg reg3 profile profile3

dogfood:
	./cdiff.py
	git diff | ./cdiff.py -s

lint:
	pep8 --ignore=E203 *.py tests/*.py

doc-check:
	./setup.py --long-description | rst2html.py --strict > /dev/null

doc-preview:
	./setup.py --long-description | rst2html.py --strict > output.html
	python -m webbrowser -n "file://$(shell pwd)/output.html"
	sleep 1
	rm -f output.html

test: lint doc-check cov reg

test3: lint doc-check cov3 reg3

cov:
	coverage run tests/test_cdiff.py
	coverage report --show-missing

cov3:
	python3 `which coverage` run tests/test_cdiff.py
	python3 `which coverage` report --show-missing

html:
	coverage html
	python -m webbrowser -n "file://$(shell pwd)/htmlcov/index.html"

reg:
	tests/regression.sh

reg3:
	PYTHON=python3 tests/regression.sh

profile:
	tests/profile.sh profile.tmp

profile3:
	tests/profile.sh profile3.tmp

clean:
	rm -f MANIFEST profile*.tmp* .coverage
	rm -rf build/ cdiff.egg-info/ dist/ __pycache__/ htmlcov/

build:
	./setup.py build sdist

dist-test:
	./setup.py build sdist register upload -r $(TESTPYPI)
	rm -f ~/.pypirc

dist:
	./setup.py build sdist register upload -r $(PYPI)
	rm -f ~/.pypirc

# vim:set noet ts=8 sw=8:

=== debian/changelog ===
cdiff (1.0-1) unstable; urgency=medium

  * Initial upload. (Closes: #875553)

 -- Michael Banck <mbanck@debian.org>  Wed, 13 Sep 2017 09:30:41 +0200

=== debian/control ===
Source: cdiff
Section: python
Priority: optional
Maintainer: Michael Banck <mbanck@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools
Standards-Version: 3.9.8

Package: python-cdiff
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests:
Description: Colored, incremental diff with side by side and auto pager support (Python 2)
 Cdiff is a python module to view colored, incremental diff in a Git/Mercurial/
 Svn workspace or from stdin, with side by side and auto pager support.
 .
 This is the Python 2 version of the package.

Package: python3-cdiff
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests:
Description: Colored, incremental diff with side by side and auto pager support (Python 3)
 Cdiff is a python module to view colored, incremental diff in a Git/Mercurial/
 Svn workspace or from stdin, with side by side and auto pager support.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
version=3
https://github.com/ymattw/cdiff/releases .*/archive/(.*).tar.gz
